/*===========================================================================*/
/*   (Module/prototype.scm)                                                  */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/prototype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static bool_t BGl_correctzd2attributzf3z21zzmodule_prototypez00(obj_t);
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzmodule_prototypez00();
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00;
extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl__parsezd2prototypezd2zzmodule_prototypez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_dssslzd2formalszd2skeletonz00zztools_dssslz00(obj_t);
extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzmodule_prototypez00();
static obj_t BGl_parsezd2variablezd2prototypez00zzmodule_prototypez00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_prototypez00();
static obj_t BGl_parsezd2classzd2slotsz00zzmodule_prototypez00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_prototypez00 = BUNSPEC;
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
static obj_t BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00(obj_t, obj_t);
static obj_t BGl_parsezd2classzd2slotz00zzmodule_prototypez00(obj_t, obj_t);
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_prototypez00();
static obj_t BGl_parsezd2classzd2zzmodule_prototypez00(obj_t, obj_t);
extern obj_t BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(obj_t);
static obj_t __cnst[ 18 ] ;


DEFINE_STRING( BGl_string1610z00zzmodule_prototypez00, BgL_bgl_string1610za700za7za7module_prototypeza7001635z00, "info default set get (read-only) * id svar inline generic abstract-class wide-class final-class class sfun (main module-initialization) sifun sgfun ", 148 );
DEFINE_STRING( BGl_string1609z00zzmodule_prototypez00, BgL_bgl_string1609za700za7za7module_prototypeza7001636z00, "Illegal class field definition", 30 );
DEFINE_STRING( BGl_string1608z00zzmodule_prototypez00, BgL_bgl_string1608za700za7za7module_prototypeza7001637z00, "Parse error", 11 );
DEFINE_EXPORT_PROCEDURE( BGl_parsezd2prototypezd2envz00zzmodule_prototypez00, BgL_bgl__parseza7d2prototypeza7d2za7za7module_prototypeza7001638za7, BGl__parsezd2prototypezd2zzmodule_prototypez00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long BgL_checksumz00_450, char * BgL_fromz00_451)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_prototypez00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_prototypez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_prototypez00(); 
BGl_cnstzd2initzd2zzmodule_prototypez00(); 
BGl_importedzd2moduleszd2initz00zzmodule_prototypez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_prototypez00()
{ AN_OBJECT;
{ /* ./Module/prototype.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_prototype"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_prototype"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_prototypez00()
{ AN_OBJECT;
{ /* ./Module/prototype.scm 15 */
{ /* ./Module/prototype.scm 15 */
obj_t BgL_cportz00_443;
BgL_cportz00_443 = 
open_input_string(BGl_string1610z00zzmodule_prototypez00); 
{ 
long BgL_iz00_444;
BgL_iz00_444 = ((long)17); 
BgL_loopz00_445:
{ /* ./Module/prototype.scm 15 */
bool_t BgL_test1612z00_446;
BgL_test1612z00_446 = 
(BgL_iz00_444==((long)-1)); 
if(BgL_test1612z00_446)
{ /* ./Module/prototype.scm 15 */
return BUNSPEC;}  else 
{ /* ./Module/prototype.scm 15 */
{ /* ./Module/prototype.scm 15 */
obj_t BgL_arg1614z00_447;
{ /* ./Module/prototype.scm 15 */
obj_t BgL_list1617z00_448;
BgL_list1617z00_448 = 
MAKE_PAIR(BgL_cportz00_443, BNIL); 
BgL_arg1614z00_447 = 
BGl_readz00zz__readerz00(BgL_list1617z00_448); } 
{ /* ./Module/prototype.scm 15 */
int BgL_auxz00_465;
BgL_auxz00_465 = 
(int)(BgL_iz00_444); 
CNST_TABLE_SET(BgL_auxz00_465, BgL_arg1614z00_447); } } 
{ /* ./Module/prototype.scm 15 */
int BgL_auxz00_449;
{ /* ./Module/prototype.scm 15 */
long BgL_auxz00_468;
BgL_auxz00_468 = 
(BgL_iz00_444-((long)1)); 
BgL_auxz00_449 = 
(int)(BgL_auxz00_468); } 
{ 
long BgL_iz00_471;
BgL_iz00_471 = 
(long)(BgL_auxz00_449); 
BgL_iz00_444 = BgL_iz00_471; 
goto BgL_loopz00_445;} } } } } } } 
}



/* parse-prototype */
BGL_EXPORTED_DEF obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t BgL_protoz00_1)
{ AN_OBJECT;
{ /* ./Module/prototype.scm 30 */
{ 
obj_t BgL_idz00_70;obj_t BgL_classz00_66;
{ /* ./Module/prototype.scm 31 */
bool_t BgL_test1090z00_74;
BgL_test1090z00_74 = 
PAIRP(BgL_protoz00_1); 
if(BgL_test1090z00_74)
{ /* ./Module/prototype.scm 31 */
obj_t BgL_carzd2110zd2_75;
BgL_carzd2110zd2_75 = 
CAR(BgL_protoz00_1); 
{ /* ./Module/prototype.scm 31 */
bool_t BgL_test1091z00_77;
{ /* ./Module/prototype.scm 31 */
obj_t BgL_auxz00_476;
BgL_auxz00_476 = 
CNST_TABLE_REF(((long)4)); 
BgL_test1091z00_77 = 
(BgL_carzd2110zd2_75==BgL_auxz00_476); } 
if(BgL_test1091z00_77)
{ /* ./Module/prototype.scm 31 */
BgL_classz00_66 = BgL_carzd2110zd2_75; 
BgL_tagzd2101zd2_67:
{ /* ./Module/prototype.scm 33 */
obj_t BgL_arg1126z00_309;
BgL_arg1126z00_309 = 
CDR(BgL_protoz00_1); 
return 
BGl_parsezd2classzd2zzmodule_prototypez00(BgL_classz00_66, BgL_arg1126z00_309);} }  else 
{ /* ./Module/prototype.scm 31 */
bool_t BgL_test1093z00_78;
{ /* ./Module/prototype.scm 31 */
obj_t BgL_auxz00_482;
BgL_auxz00_482 = 
CNST_TABLE_REF(((long)5)); 
BgL_test1093z00_78 = 
(BgL_carzd2110zd2_75==BgL_auxz00_482); } 
if(BgL_test1093z00_78)
{ 
obj_t BgL_classz00_486;
BgL_classz00_486 = BgL_carzd2110zd2_75; 
BgL_classz00_66 = BgL_classz00_486; 
goto BgL_tagzd2101zd2_67;}  else 
{ /* ./Module/prototype.scm 31 */
bool_t BgL_test1095z00_79;
{ /* ./Module/prototype.scm 31 */
obj_t BgL_auxz00_487;
BgL_auxz00_487 = 
CNST_TABLE_REF(((long)6)); 
BgL_test1095z00_79 = 
(BgL_carzd2110zd2_75==BgL_auxz00_487); } 
if(BgL_test1095z00_79)
{ 
obj_t BgL_classz00_491;
BgL_classz00_491 = BgL_carzd2110zd2_75; 
BgL_classz00_66 = BgL_classz00_491; 
goto BgL_tagzd2101zd2_67;}  else 
{ /* ./Module/prototype.scm 31 */
bool_t BgL_test1097z00_80;
{ /* ./Module/prototype.scm 31 */
obj_t BgL_auxz00_492;
BgL_auxz00_492 = 
CNST_TABLE_REF(((long)7)); 
BgL_test1097z00_80 = 
(BgL_carzd2110zd2_75==BgL_auxz00_492); } 
if(BgL_test1097z00_80)
{ 
obj_t BgL_classz00_496;
BgL_classz00_496 = BgL_carzd2110zd2_75; 
BgL_classz00_66 = BgL_classz00_496; 
goto BgL_tagzd2101zd2_67;}  else 
{ /* ./Module/prototype.scm 31 */
bool_t BgL_test1099z00_81;
{ /* ./Module/prototype.scm 31 */
obj_t BgL_auxz00_497;
BgL_auxz00_497 = 
CNST_TABLE_REF(((long)8)); 
BgL_test1099z00_81 = 
(BgL_carzd2110zd2_75==BgL_auxz00_497); } 
if(BgL_test1099z00_81)
{ /* ./Module/prototype.scm 31 */
{ /* ./Module/prototype.scm 35 */
obj_t BgL_arg1130z00_89;obj_t BgL_arg1131z00_90;
BgL_arg1130z00_89 = 
CDR(BgL_protoz00_1); 
BgL_arg1131z00_90 = 
CNST_TABLE_REF(((long)0)); 
return 
BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00(BgL_arg1130z00_89, BgL_arg1131z00_90);} }  else 
{ /* ./Module/prototype.scm 31 */
bool_t BgL_test1101z00_82;
{ /* ./Module/prototype.scm 31 */
obj_t BgL_auxz00_506;obj_t BgL_auxz00_504;
BgL_auxz00_506 = 
CNST_TABLE_REF(((long)9)); 
BgL_auxz00_504 = 
CAR(BgL_protoz00_1); 
BgL_test1101z00_82 = 
(BgL_auxz00_504==BgL_auxz00_506); } 
if(BgL_test1101z00_82)
{ /* ./Module/prototype.scm 31 */
{ /* ./Module/prototype.scm 37 */
obj_t BgL_arg1135z00_91;obj_t BgL_arg1136z00_92;
BgL_arg1135z00_91 = 
CDR(BgL_protoz00_1); 
BgL_arg1136z00_92 = 
CNST_TABLE_REF(((long)1)); 
return 
BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00(BgL_arg1135z00_91, BgL_arg1136z00_92);} }  else 
{ /* ./Module/prototype.scm 31 */
obj_t BgL_arg1104z00_83;
BgL_arg1104z00_83 = 
CAR(BgL_protoz00_1); 
BgL_idz00_70 = BgL_arg1104z00_83; 
{ /* ./Module/prototype.scm 39 */
bool_t BgL_test1139z00_93;
if(
CBOOL(BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00))
{ /* ./Module/prototype.scm 41 */
bool_t BgL_test1143z00_94;
{ /* ./Module/prototype.scm 40 */
obj_t BgL_auxz00_516;
BgL_auxz00_516 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_70, 
CNST_TABLE_REF(((long)2))); 
BgL_test1143z00_94 = 
CBOOL(BgL_auxz00_516); } 
if(BgL_test1143z00_94)
{ /* ./Module/prototype.scm 41 */
BgL_test1139z00_93 = ((bool_t)1); }  else 
{ /* ./Module/prototype.scm 41 */
bool_t BgL_test1144z00_95;
{ /* ./Module/prototype.scm 41 */
BgL_typez00_bglt BgL_arg1147z00_96;BgL_typez00_bglt BgL_arg1148z00_97;
BgL_arg1147z00_96 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* ./Module/prototype.scm 42 */
obj_t BgL_arg1152z00_98;
BgL_arg1152z00_98 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_protoz00_1); 
BgL_arg1148z00_97 = 
BGl_typezd2ofzd2idz00zzast_identz00(BgL_idz00_70, BgL_arg1152z00_98); } 
{ /* ./Module/prototype.scm 41 */
obj_t BgL_auxz00_526;obj_t BgL_auxz00_524;
BgL_auxz00_526 = 
(obj_t)(BgL_arg1148z00_97); 
BgL_auxz00_524 = 
(obj_t)(BgL_arg1147z00_96); 
BgL_test1144z00_95 = 
(BgL_auxz00_524==BgL_auxz00_526); } } 
if(BgL_test1144z00_95)
{ /* ./Module/prototype.scm 41 */
BgL_test1139z00_93 = ((bool_t)0); }  else 
{ /* ./Module/prototype.scm 41 */
BgL_test1139z00_93 = ((bool_t)1); } } }  else 
{ /* ./Module/prototype.scm 39 */
BgL_test1139z00_93 = ((bool_t)1); } 
if(BgL_test1139z00_93)
{ /* ./Module/prototype.scm 39 */
return 
BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00(BgL_protoz00_1, 
CNST_TABLE_REF(((long)3)));}  else 
{ /* ./Module/prototype.scm 39 */
return 
BGl_parsezd2variablezd2prototypez00zzmodule_prototypez00(BgL_idz00_70);} } } } } } } } } }  else 
{ /* ./Module/prototype.scm 31 */
return 
BGl_parsezd2variablezd2prototypez00zzmodule_prototypez00(BgL_protoz00_1);} } } } 
}



/* _parse-prototype */
obj_t BGl__parsezd2prototypezd2zzmodule_prototypez00(obj_t BgL_envz00_439, obj_t BgL_protoz00_440)
{ AN_OBJECT;
{ /* ./Module/prototype.scm 30 */
return 
BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_protoz00_440);} 
}



/* parse-function-prototype */
obj_t BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00(obj_t BgL_protoz00_2, obj_t BgL_classz00_3)
{ AN_OBJECT;
{ /* ./Module/prototype.scm 51 */
{ 
obj_t BgL_idz00_99;obj_t BgL_thezd2argszd2_100;
{ /* ./Module/prototype.scm 52 */
bool_t BgL_test1157z00_104;
BgL_test1157z00_104 = 
PAIRP(BgL_protoz00_2); 
if(BgL_test1157z00_104)
{ /* ./Module/prototype.scm 52 */
obj_t BgL_carzd2141zd2_105;
BgL_carzd2141zd2_105 = 
CAR(BgL_protoz00_2); 
{ /* ./Module/prototype.scm 52 */
bool_t BgL_test1159z00_106;
BgL_test1159z00_106 = 
SYMBOLP(BgL_carzd2141zd2_105); 
if(BgL_test1159z00_106)
{ /* ./Module/prototype.scm 52 */
obj_t BgL_arg1162z00_107;
BgL_arg1162z00_107 = 
CDR(BgL_protoz00_2); 
BgL_idz00_99 = BgL_carzd2141zd2_105; 
BgL_thezd2argszd2_100 = BgL_arg1162z00_107; 
{ 
obj_t BgL_argsz00_108;
BgL_argsz00_108 = BgL_thezd2argszd2_100; 
BgL_loopz00_109:
{ /* ./Module/prototype.scm 56 */
bool_t BgL_test1171z00_110;
BgL_test1171z00_110 = 
NULLP(BgL_argsz00_108); 
if(BgL_test1171z00_110)
{ /* ./Module/prototype.scm 56 */
{ /* ./Module/prototype.scm 57 */
obj_t BgL_arg1177z00_111;
BgL_arg1177z00_111 = 
BGl_dssslzd2formalszd2skeletonz00zztools_dssslz00(BgL_thezd2argszd2_100); 
{ /* ./Module/prototype.scm 57 */
obj_t BgL_list1179z00_112;
{ /* ./Module/prototype.scm 57 */
obj_t BgL_arg1182z00_113;
{ /* ./Module/prototype.scm 57 */
obj_t BgL_arg1187z00_114;
BgL_arg1187z00_114 = 
MAKE_PAIR(BgL_arg1177z00_111, BNIL); 
BgL_arg1182z00_113 = 
MAKE_PAIR(BgL_idz00_99, BgL_arg1187z00_114); } 
BgL_list1179z00_112 = 
MAKE_PAIR(BgL_classz00_3, BgL_arg1182z00_113); } 
return BgL_list1179z00_112;} } }  else 
{ /* ./Module/prototype.scm 58 */
bool_t BgL_test1191z00_115;
BgL_test1191z00_115 = 
SYMBOLP(BgL_argsz00_108); 
if(BgL_test1191z00_115)
{ /* ./Module/prototype.scm 58 */
{ /* ./Module/prototype.scm 59 */
obj_t BgL_list1193z00_116;
{ /* ./Module/prototype.scm 59 */
obj_t BgL_arg1195z00_117;
{ /* ./Module/prototype.scm 59 */
obj_t BgL_arg1198z00_118;
BgL_arg1198z00_118 = 
MAKE_PAIR(BgL_thezd2argszd2_100, BNIL); 
BgL_arg1195z00_117 = 
MAKE_PAIR(BgL_idz00_99, BgL_arg1198z00_118); } 
BgL_list1193z00_116 = 
MAKE_PAIR(BgL_classz00_3, BgL_arg1195z00_117); } 
return BgL_list1193z00_116;} }  else 
{ /* ./Module/prototype.scm 60 */
bool_t BgL_test1201z00_119;
{ /* ./Module/prototype.scm 60 */
bool_t BgL_test1206z00_121;
BgL_test1206z00_121 = 
PAIRP(BgL_argsz00_108); 
if(BgL_test1206z00_121)
{ /* ./Module/prototype.scm 61 */
bool_t BgL__ortest_1089z00_122;
{ /* ./Module/prototype.scm 61 */
obj_t BgL_auxz00_555;
BgL_auxz00_555 = 
CAR(BgL_argsz00_108); 
BgL__ortest_1089z00_122 = 
SYMBOLP(BgL_auxz00_555); } 
if(BgL__ortest_1089z00_122)
{ /* ./Module/prototype.scm 61 */
BgL_test1201z00_119 = BgL__ortest_1089z00_122; }  else 
{ /* ./Module/prototype.scm 62 */
obj_t BgL_arg1210z00_123;
BgL_arg1210z00_123 = 
CAR(BgL_argsz00_108); 
{ /* ./Module/prototype.scm 62 */
obj_t BgL_auxz00_560;
BgL_auxz00_560 = 
BGl_dssslzd2namedzd2constantzf3zf3zztools_dssslz00(BgL_arg1210z00_123); 
BgL_test1201z00_119 = 
CBOOL(BgL_auxz00_560); } } }  else 
{ /* ./Module/prototype.scm 60 */
BgL_test1201z00_119 = ((bool_t)0); } } 
if(BgL_test1201z00_119)
{ /* ./Module/prototype.scm 60 */
{ /* ./Module/prototype.scm 63 */
obj_t BgL_arg1203z00_120;
BgL_arg1203z00_120 = 
CDR(BgL_argsz00_108); 
{ 
obj_t BgL_argsz00_565;
BgL_argsz00_565 = BgL_arg1203z00_120; 
BgL_argsz00_108 = BgL_argsz00_565; 
goto BgL_loopz00_109;} } }  else 
{ /* ./Module/prototype.scm 60 */
return BFALSE;} } } } } }  else 
{ /* ./Module/prototype.scm 52 */
return BFALSE;} } }  else 
{ /* ./Module/prototype.scm 52 */
return BFALSE;} } } } 
}



/* parse-variable-prototype */
obj_t BGl_parsezd2variablezd2prototypez00zzmodule_prototypez00(obj_t BgL_protoz00_4)
{ AN_OBJECT;
{ /* ./Module/prototype.scm 72 */
{ /* ./Module/prototype.scm 73 */
bool_t BgL_test1220z00_125;
BgL_test1220z00_125 = 
SYMBOLP(BgL_protoz00_4); 
if(BgL_test1220z00_125)
{ /* ./Module/prototype.scm 74 */
obj_t BgL_list1222z00_126;
{ /* ./Module/prototype.scm 74 */
obj_t BgL_arg1224z00_127;obj_t BgL_arg1225z00_128;
BgL_arg1224z00_127 = 
CNST_TABLE_REF(((long)10)); 
BgL_arg1225z00_128 = 
MAKE_PAIR(BgL_protoz00_4, BNIL); 
BgL_list1222z00_126 = 
MAKE_PAIR(BgL_arg1224z00_127, BgL_arg1225z00_128); } 
return BgL_list1222z00_126;}  else 
{ /* ./Module/prototype.scm 73 */
return BFALSE;} } } 
}



/* parse-class */
obj_t BGl_parsezd2classzd2zzmodule_prototypez00(obj_t BgL_classz00_5, obj_t BgL_classzd2defzd2_6)
{ AN_OBJECT;
{ /* ./Module/prototype.scm 80 */
{ /* ./Module/prototype.scm 81 */
obj_t BgL_locz00_129;
BgL_locz00_129 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_classzd2defzd2_6); 
{ /* ./Module/prototype.scm 100 */
bool_t BgL_test1229z00_140;
BgL_test1229z00_140 = 
PAIRP(BgL_classzd2defzd2_6); 
if(BgL_test1229z00_140)
{ /* ./Module/prototype.scm 100 */
obj_t BgL_carzd2156zd2_141;obj_t BgL_cdrzd2157zd2_142;
BgL_carzd2156zd2_141 = 
CAR(BgL_classzd2defzd2_6); 
BgL_cdrzd2157zd2_142 = 
CDR(BgL_classzd2defzd2_6); 
{ /* ./Module/prototype.scm 100 */
bool_t BgL_test1230z00_143;
BgL_test1230z00_143 = 
SYMBOLP(BgL_carzd2156zd2_141); 
if(BgL_test1230z00_143)
{ /* ./Module/prototype.scm 100 */
bool_t BgL_test1231z00_144;
BgL_test1231z00_144 = 
PAIRP(BgL_cdrzd2157zd2_142); 
if(BgL_test1231z00_144)
{ /* ./Module/prototype.scm 100 */
obj_t BgL_carzd2162zd2_145;
BgL_carzd2162zd2_145 = 
CAR(BgL_cdrzd2157zd2_142); 
{ /* ./Module/prototype.scm 100 */
bool_t BgL_test1232z00_146;
BgL_test1232z00_146 = 
PAIRP(BgL_carzd2162zd2_145); 
if(BgL_test1232z00_146)
{ /* ./Module/prototype.scm 100 */
bool_t BgL_test1234z00_147;
{ /* ./Module/prototype.scm 100 */
obj_t BgL_auxz00_583;
BgL_auxz00_583 = 
CDR(BgL_carzd2162zd2_145); 
BgL_test1234z00_147 = 
NULLP(BgL_auxz00_583); } 
if(BgL_test1234z00_147)
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1237z00_148;obj_t BgL_arg1238z00_149;
BgL_arg1237z00_148 = 
CAR(BgL_carzd2162zd2_145); 
BgL_arg1238z00_149 = 
CDR(BgL_cdrzd2157zd2_142); 
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1288z00_345;
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1291z00_346;
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1294z00_347;
BgL_arg1294z00_347 = 
BGl_parsezd2classzd2slotsz00zzmodule_prototypez00(BgL_classzd2defzd2_6, BgL_locz00_129, BgL_arg1238z00_149); 
BgL_arg1291z00_346 = 
MAKE_PAIR(BgL_arg1237z00_148, BgL_arg1294z00_347); } 
BgL_arg1288z00_345 = 
MAKE_PAIR(BgL_carzd2156zd2_141, BgL_arg1291z00_346); } 
return 
MAKE_PAIR(BgL_classz00_5, BgL_arg1288z00_345);} }  else 
{ /* ./Module/prototype.scm 100 */
bool_t BgL_test1242z00_151;
BgL_test1242z00_151 = 
SYMBOLP(BgL_carzd2156zd2_141); 
if(BgL_test1242z00_151)
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1298z00_353;
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1301z00_354;
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1304z00_355;
BgL_arg1304z00_355 = 
BGl_parsezd2classzd2slotsz00zzmodule_prototypez00(BgL_classzd2defzd2_6, BgL_locz00_129, BgL_cdrzd2157zd2_142); 
BgL_arg1301z00_354 = 
MAKE_PAIR(BFALSE, BgL_arg1304z00_355); } 
BgL_arg1298z00_353 = 
MAKE_PAIR(BgL_carzd2156zd2_141, BgL_arg1301z00_354); } 
return 
MAKE_PAIR(BgL_classz00_5, BgL_arg1298z00_353);}  else 
{ /* ./Module/prototype.scm 100 */
return BFALSE;} } }  else 
{ /* ./Module/prototype.scm 100 */
bool_t BgL_test1254z00_155;
BgL_test1254z00_155 = 
SYMBOLP(BgL_carzd2156zd2_141); 
if(BgL_test1254z00_155)
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1298z00_361;
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1301z00_362;
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1304z00_363;
BgL_arg1304z00_363 = 
BGl_parsezd2classzd2slotsz00zzmodule_prototypez00(BgL_classzd2defzd2_6, BgL_locz00_129, BgL_cdrzd2157zd2_142); 
BgL_arg1301z00_362 = 
MAKE_PAIR(BFALSE, BgL_arg1304z00_363); } 
BgL_arg1298z00_361 = 
MAKE_PAIR(BgL_carzd2156zd2_141, BgL_arg1301z00_362); } 
return 
MAKE_PAIR(BgL_classz00_5, BgL_arg1298z00_361);}  else 
{ /* ./Module/prototype.scm 100 */
return BFALSE;} } } }  else 
{ /* ./Module/prototype.scm 100 */
bool_t BgL_test1264z00_158;
BgL_test1264z00_158 = 
SYMBOLP(BgL_carzd2156zd2_141); 
if(BgL_test1264z00_158)
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1298z00_369;
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1301z00_370;
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1304z00_371;
BgL_arg1304z00_371 = 
BGl_parsezd2classzd2slotsz00zzmodule_prototypez00(BgL_classzd2defzd2_6, BgL_locz00_129, BgL_cdrzd2157zd2_142); 
BgL_arg1301z00_370 = 
MAKE_PAIR(BFALSE, BgL_arg1304z00_371); } 
BgL_arg1298z00_369 = 
MAKE_PAIR(BgL_carzd2156zd2_141, BgL_arg1301z00_370); } 
return 
MAKE_PAIR(BgL_classz00_5, BgL_arg1298z00_369);}  else 
{ /* ./Module/prototype.scm 100 */
return BFALSE;} } }  else 
{ /* ./Module/prototype.scm 100 */
bool_t BgL_test1273z00_161;
BgL_test1273z00_161 = 
SYMBOLP(BgL_carzd2156zd2_141); 
if(BgL_test1273z00_161)
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1298z00_377;
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1301z00_378;
{ /* ./Module/prototype.scm 100 */
obj_t BgL_arg1304z00_379;
BgL_arg1304z00_379 = 
BGl_parsezd2classzd2slotsz00zzmodule_prototypez00(BgL_classzd2defzd2_6, BgL_locz00_129, BgL_cdrzd2157zd2_142); 
BgL_arg1301z00_378 = 
MAKE_PAIR(BFALSE, BgL_arg1304z00_379); } 
BgL_arg1298z00_377 = 
MAKE_PAIR(BgL_carzd2156zd2_141, BgL_arg1301z00_378); } 
return 
MAKE_PAIR(BgL_classz00_5, BgL_arg1298z00_377);}  else 
{ /* ./Module/prototype.scm 100 */
return BFALSE;} } } }  else 
{ /* ./Module/prototype.scm 100 */
return BFALSE;} } } } 
}



/* parse-class-slots */
obj_t BGl_parsezd2classzd2slotsz00zzmodule_prototypez00(obj_t BgL_classzd2defzd2_442, obj_t BgL_locz00_441, obj_t BgL_slotsz00_169)
{ AN_OBJECT;
{ /* ./Module/prototype.scm 99 */
{ 
obj_t BgL_slotsz00_171;obj_t BgL_resz00_172;
BgL_slotsz00_171 = BgL_slotsz00_169; 
BgL_resz00_172 = BNIL; 
BgL_loopz00_173:
{ /* ./Module/prototype.scm 86 */
bool_t BgL_test1309z00_174;
BgL_test1309z00_174 = 
NULLP(BgL_slotsz00_171); 
if(BgL_test1309z00_174)
{ /* ./Module/prototype.scm 86 */
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_172);}  else 
{ /* ./Module/prototype.scm 88 */
bool_t BgL_test1311z00_175;
BgL_test1311z00_175 = 
PAIRP(BgL_slotsz00_171); 
if(BgL_test1311z00_175)
{ /* ./Module/prototype.scm 88 */
{ /* ./Module/prototype.scm 91 */
obj_t BgL_slotz00_176;
{ /* ./Module/prototype.scm 91 */
obj_t BgL_arg1331z00_185;
BgL_arg1331z00_185 = 
CAR(BgL_slotsz00_171); 
BgL_slotz00_176 = 
BGl_parsezd2classzd2slotz00zzmodule_prototypez00(BgL_arg1331z00_185, BgL_locz00_441); } 
if(
CBOOL(BgL_slotz00_176))
{ /* ./Module/prototype.scm 98 */
obj_t BgL_arg1313z00_177;obj_t BgL_arg1314z00_178;
BgL_arg1313z00_177 = 
CDR(BgL_slotsz00_171); 
BgL_arg1314z00_178 = 
MAKE_PAIR(BgL_slotz00_176, BgL_resz00_172); 
{ 
obj_t BgL_resz00_629;obj_t BgL_slotsz00_628;
BgL_slotsz00_628 = BgL_arg1313z00_177; 
BgL_resz00_629 = BgL_arg1314z00_178; 
BgL_resz00_172 = BgL_resz00_629; 
BgL_slotsz00_171 = BgL_slotsz00_628; 
goto BgL_loopz00_173;} }  else 
{ /* ./Module/prototype.scm 93 */
obj_t BgL_arg1321z00_181;
{ /* ./Module/prototype.scm 95 */
bool_t BgL_testz00_630;
{ /* ./Module/prototype.scm 95 */
obj_t BgL_auxz00_631;
BgL_auxz00_631 = 
CAR(BgL_slotsz00_171); 
BgL_testz00_630 = 
PAIRP(BgL_auxz00_631); } 
if(BgL_testz00_630)
{ /* ./Module/prototype.scm 95 */
BgL_arg1321z00_181 = 
CAR(BgL_slotsz00_171); }  else 
{ /* ./Module/prototype.scm 95 */
BgL_arg1321z00_181 = BgL_classzd2defzd2_442; } } 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1608z00zzmodule_prototypez00, BGl_string1609z00zzmodule_prototypez00, BgL_arg1321z00_181, BNIL);} } }  else 
{ /* ./Module/prototype.scm 88 */
return BFALSE;} } } } } 
}



/* parse-class-slot */
obj_t BGl_parsezd2classzd2slotz00zzmodule_prototypez00(obj_t BgL_slotz00_7, obj_t BgL_locz00_8)
{ AN_OBJECT;
{ /* ./Module/prototype.scm 111 */
{ /* ./Module/prototype.scm 112 */
obj_t BgL_locz00_187;
BgL_locz00_187 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_slotz00_7, BgL_locz00_8); 
{ 
obj_t BgL_idz00_192;obj_t BgL_attz00_193;obj_t BgL_idz00_189;obj_t BgL_attz00_190;
{ /* ./Module/prototype.scm 113 */
bool_t BgL_test1338z00_197;
BgL_test1338z00_197 = 
SYMBOLP(BgL_slotz00_7); 
if(BgL_test1338z00_197)
{ /* ./Module/prototype.scm 113 */
{ /* ./Module/prototype.scm 115 */
obj_t BgL_arg1390z00_216;
{ /* ./Module/prototype.scm 115 */
obj_t BgL_arg1393z00_217;obj_t BgL_arg1394z00_218;
BgL_arg1393z00_217 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Module/prototype.scm 115 */
obj_t BgL_arg1397z00_219;
BgL_arg1397z00_219 = 
BGl_parsezd2idzd2zzast_identz00(BgL_slotz00_7, BgL_locz00_187); 
BgL_arg1394z00_218 = 
MAKE_PAIR(BgL_arg1397z00_219, BNIL); } 
BgL_arg1390z00_216 = 
MAKE_PAIR(BgL_arg1393z00_217, BgL_arg1394z00_218); } 
return 
BGl_epairifyz00zztools_miscz00(BgL_arg1390z00_216, BgL_slotz00_7);} }  else 
{ /* ./Module/prototype.scm 113 */
bool_t BgL_test1340z00_198;
BgL_test1340z00_198 = 
PAIRP(BgL_slotz00_7); 
if(BgL_test1340z00_198)
{ /* ./Module/prototype.scm 113 */
obj_t BgL_cdrzd2233zd2_199;
BgL_cdrzd2233zd2_199 = 
CDR(BgL_slotz00_7); 
{ /* ./Module/prototype.scm 113 */
bool_t BgL_test1341z00_200;
{ /* ./Module/prototype.scm 113 */
obj_t BgL_auxz00_649;obj_t BgL_auxz00_647;
BgL_auxz00_649 = 
CNST_TABLE_REF(((long)12)); 
BgL_auxz00_647 = 
CAR(BgL_slotz00_7); 
BgL_test1341z00_200 = 
(BgL_auxz00_647==BgL_auxz00_649); } 
if(BgL_test1341z00_200)
{ /* ./Module/prototype.scm 113 */
bool_t BgL_test1342z00_201;
BgL_test1342z00_201 = 
PAIRP(BgL_cdrzd2233zd2_199); 
if(BgL_test1342z00_201)
{ /* ./Module/prototype.scm 113 */
obj_t BgL_carzd2236zd2_202;
BgL_carzd2236zd2_202 = 
CAR(BgL_cdrzd2233zd2_199); 
{ /* ./Module/prototype.scm 113 */
bool_t BgL_test1343z00_203;
BgL_test1343z00_203 = 
SYMBOLP(BgL_carzd2236zd2_202); 
if(BgL_test1343z00_203)
{ /* ./Module/prototype.scm 113 */
obj_t BgL_arg1345z00_204;
BgL_arg1345z00_204 = 
CDR(BgL_cdrzd2233zd2_199); 
BgL_idz00_189 = BgL_carzd2236zd2_202; 
BgL_attz00_190 = BgL_arg1345z00_204; 
{ /* ./Module/prototype.scm 117 */
bool_t BgL_test1401z00_221;
BgL_test1401z00_221 = 
BGl_correctzd2attributzf3z21zzmodule_prototypez00(BgL_attz00_190); 
if(BgL_test1401z00_221)
{ /* ./Module/prototype.scm 118 */
obj_t BgL_arg1403z00_222;
{ /* ./Module/prototype.scm 118 */
obj_t BgL_arg1406z00_223;obj_t BgL_arg1407z00_224;
BgL_arg1406z00_223 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Module/prototype.scm 118 */
obj_t BgL_arg1410z00_225;obj_t BgL_arg1412z00_226;
{ /* ./Module/prototype.scm 118 */
obj_t BgL_arg1415z00_227;obj_t BgL_arg1416z00_228;
BgL_arg1415z00_227 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Module/prototype.scm 118 */
obj_t BgL_arg1419z00_229;
BgL_arg1419z00_229 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_189, BgL_locz00_187); 
BgL_arg1416z00_228 = 
MAKE_PAIR(BgL_arg1419z00_229, BNIL); } 
BgL_arg1410z00_225 = 
MAKE_PAIR(BgL_arg1415z00_227, BgL_arg1416z00_228); } 
BgL_arg1412z00_226 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_attz00_190, BNIL); 
BgL_arg1407z00_224 = 
MAKE_PAIR(BgL_arg1410z00_225, BgL_arg1412z00_226); } 
BgL_arg1403z00_222 = 
MAKE_PAIR(BgL_arg1406z00_223, BgL_arg1407z00_224); } 
return 
BGl_epairifyz00zztools_miscz00(BgL_arg1403z00_222, BgL_slotz00_7);}  else 
{ /* ./Module/prototype.scm 117 */
return BFALSE;} } }  else 
{ /* ./Module/prototype.scm 113 */
obj_t BgL_carzd2245zd2_205;
BgL_carzd2245zd2_205 = 
CAR(BgL_slotz00_7); 
{ /* ./Module/prototype.scm 113 */
bool_t BgL_test1348z00_206;
BgL_test1348z00_206 = 
SYMBOLP(BgL_carzd2245zd2_205); 
if(BgL_test1348z00_206)
{ /* ./Module/prototype.scm 113 */
BgL_idz00_192 = BgL_carzd2245zd2_205; 
BgL_attz00_193 = BgL_cdrzd2233zd2_199; 
BgL_tagzd2223zd2_194:
{ /* ./Module/prototype.scm 121 */
bool_t BgL_test1425z00_231;
BgL_test1425z00_231 = 
BGl_correctzd2attributzf3z21zzmodule_prototypez00(BgL_attz00_193); 
if(BgL_test1425z00_231)
{ /* ./Module/prototype.scm 122 */
obj_t BgL_arg1427z00_232;
{ /* ./Module/prototype.scm 122 */
obj_t BgL_arg1430z00_233;obj_t BgL_arg1431z00_234;
{ /* ./Module/prototype.scm 122 */
obj_t BgL_arg1434z00_235;obj_t BgL_arg1435z00_236;
BgL_arg1434z00_235 = 
CNST_TABLE_REF(((long)11)); 
{ /* ./Module/prototype.scm 122 */
obj_t BgL_arg1438z00_237;
BgL_arg1438z00_237 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_192, BgL_locz00_187); 
BgL_arg1435z00_236 = 
MAKE_PAIR(BgL_arg1438z00_237, BNIL); } 
BgL_arg1430z00_233 = 
MAKE_PAIR(BgL_arg1434z00_235, BgL_arg1435z00_236); } 
BgL_arg1431z00_234 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_attz00_193, BNIL); 
BgL_arg1427z00_232 = 
MAKE_PAIR(BgL_arg1430z00_233, BgL_arg1431z00_234); } 
return 
BGl_epairifyz00zztools_miscz00(BgL_arg1427z00_232, BgL_slotz00_7);}  else 
{ /* ./Module/prototype.scm 121 */
return BFALSE;} } }  else 
{ /* ./Module/prototype.scm 113 */
return BFALSE;} } } } }  else 
{ /* ./Module/prototype.scm 113 */
obj_t BgL_carzd2254zd2_208;
BgL_carzd2254zd2_208 = 
CAR(BgL_slotz00_7); 
{ /* ./Module/prototype.scm 113 */
bool_t BgL_test1360z00_209;
BgL_test1360z00_209 = 
SYMBOLP(BgL_carzd2254zd2_208); 
if(BgL_test1360z00_209)
{ 
obj_t BgL_attz00_686;obj_t BgL_idz00_685;
BgL_idz00_685 = BgL_carzd2254zd2_208; 
BgL_attz00_686 = BgL_cdrzd2233zd2_199; 
BgL_attz00_193 = BgL_attz00_686; 
BgL_idz00_192 = BgL_idz00_685; 
goto BgL_tagzd2223zd2_194;}  else 
{ /* ./Module/prototype.scm 113 */
return BFALSE;} } } }  else 
{ /* ./Module/prototype.scm 113 */
obj_t BgL_carzd2263zd2_211;
BgL_carzd2263zd2_211 = 
CAR(BgL_slotz00_7); 
{ /* ./Module/prototype.scm 113 */
bool_t BgL_test1369z00_212;
BgL_test1369z00_212 = 
SYMBOLP(BgL_carzd2263zd2_211); 
if(BgL_test1369z00_212)
{ 
obj_t BgL_attz00_691;obj_t BgL_idz00_690;
BgL_idz00_690 = BgL_carzd2263zd2_211; 
BgL_attz00_691 = BgL_cdrzd2233zd2_199; 
BgL_attz00_193 = BgL_attz00_691; 
BgL_idz00_192 = BgL_idz00_690; 
goto BgL_tagzd2223zd2_194;}  else 
{ /* ./Module/prototype.scm 113 */
return BFALSE;} } } } }  else 
{ /* ./Module/prototype.scm 113 */
return BFALSE;} } } } } } 
}



/* correct-attribut? */
bool_t BGl_correctzd2attributzf3z21zzmodule_prototypez00(obj_t BgL_attributz00_9)
{ AN_OBJECT;
{ /* ./Module/prototype.scm 130 */
{ 
obj_t BgL_attributz00_239;
BgL_attributz00_239 = BgL_attributz00_9; 
BgL_loopz00_240:
if(
NULLP(BgL_attributz00_239))
{ /* ./Module/prototype.scm 133 */
return ((bool_t)1);}  else 
{ /* ./Module/prototype.scm 135 */
bool_t BgL_testz00_694;
{ /* ./Module/prototype.scm 135 */
obj_t BgL_auxz00_695;
BgL_auxz00_695 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_attributz00_239), 
CNST_TABLE_REF(((long)13))); 
BgL_testz00_694 = 
CBOOL(BgL_auxz00_695); } 
if(BgL_testz00_694)
{ /* ./Module/prototype.scm 135 */
{ 
obj_t BgL_attributz00_700;
BgL_attributz00_700 = 
CDR(BgL_attributz00_239); 
BgL_attributz00_239 = BgL_attributz00_700; 
goto BgL_loopz00_240;} }  else 
{ /* ./Module/prototype.scm 135 */
{ 

{ /* ./Module/prototype.scm 138 */
obj_t BgL_ezd2277zd2_249;
BgL_ezd2277zd2_249 = 
CAR(BgL_attributz00_239); 
if(
PAIRP(BgL_ezd2277zd2_249))
{ /* ./Module/prototype.scm 138 */
obj_t BgL_cdrzd2279zd2_251;
BgL_cdrzd2279zd2_251 = 
CDR(BgL_ezd2277zd2_249); 
{ /* ./Module/prototype.scm 138 */
bool_t BgL_testz00_706;
{ /* ./Module/prototype.scm 138 */
obj_t BgL_auxz00_709;obj_t BgL_auxz00_707;
BgL_auxz00_709 = 
CNST_TABLE_REF(((long)14)); 
BgL_auxz00_707 = 
CAR(BgL_ezd2277zd2_249); 
BgL_testz00_706 = 
(BgL_auxz00_707==BgL_auxz00_709); } 
if(BgL_testz00_706)
{ /* ./Module/prototype.scm 138 */
if(
PAIRP(BgL_cdrzd2279zd2_251))
{ /* ./Module/prototype.scm 138 */
bool_t BgL_testz00_714;
{ /* ./Module/prototype.scm 138 */
obj_t BgL_auxz00_715;
BgL_auxz00_715 = 
CDR(BgL_cdrzd2279zd2_251); 
BgL_testz00_714 = 
NULLP(BgL_auxz00_715); } 
if(BgL_testz00_714)
{ /* ./Module/prototype.scm 138 */
{ 
obj_t BgL_attributz00_718;
BgL_attributz00_718 = 
CDR(BgL_attributz00_239); 
BgL_attributz00_239 = BgL_attributz00_718; 
goto BgL_loopz00_240;} }  else 
{ /* ./Module/prototype.scm 138 */
return ((bool_t)0);} }  else 
{ /* ./Module/prototype.scm 138 */
return ((bool_t)0);} }  else 
{ /* ./Module/prototype.scm 138 */
bool_t BgL_testz00_720;
{ /* ./Module/prototype.scm 138 */
obj_t BgL_auxz00_723;obj_t BgL_auxz00_721;
BgL_auxz00_723 = 
CNST_TABLE_REF(((long)15)); 
BgL_auxz00_721 = 
CAR(BgL_ezd2277zd2_249); 
BgL_testz00_720 = 
(BgL_auxz00_721==BgL_auxz00_723); } 
if(BgL_testz00_720)
{ /* ./Module/prototype.scm 138 */
if(
PAIRP(BgL_cdrzd2279zd2_251))
{ /* ./Module/prototype.scm 138 */
bool_t BgL_testz00_728;
{ /* ./Module/prototype.scm 138 */
obj_t BgL_auxz00_729;
BgL_auxz00_729 = 
CDR(BgL_cdrzd2279zd2_251); 
BgL_testz00_728 = 
NULLP(BgL_auxz00_729); } 
if(BgL_testz00_728)
{ /* ./Module/prototype.scm 138 */
{ 
obj_t BgL_attributz00_732;
BgL_attributz00_732 = 
CDR(BgL_attributz00_239); 
BgL_attributz00_239 = BgL_attributz00_732; 
goto BgL_loopz00_240;} }  else 
{ /* ./Module/prototype.scm 138 */
return ((bool_t)0);} }  else 
{ /* ./Module/prototype.scm 138 */
return ((bool_t)0);} }  else 
{ /* ./Module/prototype.scm 138 */
obj_t BgL_cdrzd2287zd2_261;
BgL_cdrzd2287zd2_261 = 
CDR(BgL_ezd2277zd2_249); 
{ /* ./Module/prototype.scm 138 */
bool_t BgL_testz00_735;
{ /* ./Module/prototype.scm 138 */
obj_t BgL_auxz00_738;obj_t BgL_auxz00_736;
BgL_auxz00_738 = 
CNST_TABLE_REF(((long)16)); 
BgL_auxz00_736 = 
CAR(BgL_ezd2277zd2_249); 
BgL_testz00_735 = 
(BgL_auxz00_736==BgL_auxz00_738); } 
if(BgL_testz00_735)
{ /* ./Module/prototype.scm 138 */
if(
PAIRP(BgL_cdrzd2287zd2_261))
{ /* ./Module/prototype.scm 138 */
bool_t BgL_testz00_743;
{ /* ./Module/prototype.scm 138 */
obj_t BgL_auxz00_744;
BgL_auxz00_744 = 
CDR(BgL_cdrzd2287zd2_261); 
BgL_testz00_743 = 
NULLP(BgL_auxz00_744); } 
if(BgL_testz00_743)
{ /* ./Module/prototype.scm 138 */
{ 
obj_t BgL_attributz00_747;
BgL_attributz00_747 = 
CDR(BgL_attributz00_239); 
BgL_attributz00_239 = BgL_attributz00_747; 
goto BgL_loopz00_240;} }  else 
{ /* ./Module/prototype.scm 138 */
return ((bool_t)0);} }  else 
{ /* ./Module/prototype.scm 138 */
return ((bool_t)0);} }  else 
{ /* ./Module/prototype.scm 138 */
bool_t BgL_testz00_749;
{ /* ./Module/prototype.scm 138 */
obj_t BgL_auxz00_752;obj_t BgL_auxz00_750;
BgL_auxz00_752 = 
CNST_TABLE_REF(((long)17)); 
BgL_auxz00_750 = 
CAR(BgL_ezd2277zd2_249); 
BgL_testz00_749 = 
(BgL_auxz00_750==BgL_auxz00_752); } 
if(BgL_testz00_749)
{ /* ./Module/prototype.scm 138 */
if(
PAIRP(BgL_cdrzd2287zd2_261))
{ /* ./Module/prototype.scm 138 */
bool_t BgL_testz00_757;
{ /* ./Module/prototype.scm 138 */
obj_t BgL_auxz00_758;
BgL_auxz00_758 = 
CDR(BgL_cdrzd2287zd2_261); 
BgL_testz00_757 = 
NULLP(BgL_auxz00_758); } 
if(BgL_testz00_757)
{ /* ./Module/prototype.scm 138 */
{ 
obj_t BgL_attributz00_761;
BgL_attributz00_761 = 
CDR(BgL_attributz00_239); 
BgL_attributz00_239 = BgL_attributz00_761; 
goto BgL_loopz00_240;} }  else 
{ /* ./Module/prototype.scm 138 */
return ((bool_t)0);} }  else 
{ /* ./Module/prototype.scm 138 */
return ((bool_t)0);} }  else 
{ /* ./Module/prototype.scm 138 */
return ((bool_t)0);} } } } } } }  else 
{ /* ./Module/prototype.scm 138 */
return ((bool_t)0);} } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_prototypez00()
{ AN_OBJECT;
{ /* ./Module/prototype.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_prototypez00()
{ AN_OBJECT;
{ /* ./Module/prototype.scm 15 */
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "module_prototype"); 
BGl_modulezd2initializa7ationz75zztools_dssslz00(((long)55629), "module_prototype"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)64117), "module_prototype"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "module_prototype"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "module_prototype"); 
BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long)12722), "module_prototype"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "module_prototype"); 
return 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)25848), "module_prototype");} 
}

